ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-2.0/configure
(Generate patch)

Comparing trunk/OOPSE-2.0/configure (file contents):
Revision 1619 by chuckv, Wed Oct 20 21:16:01 2004 UTC vs.
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 876 | Line 876 | Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
879  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880                          [default=/usr/local]
881  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 3542 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3545: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3622: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 4943 | Line 4940 | done
4940   fi
4941  
4942   done
4943 +
4944 +
4945 +
4946 +
4947 +
4948  
4949  
4950 +
4951 +
4952 +
4953 +
4954 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4955 + do
4956 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4957 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4958 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4959 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4960 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4961 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4962 + fi
4963 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4964 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4965 + else
4966 +  # Is the header compilable?
4967 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4968 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4969 + cat >conftest.$ac_ext <<_ACEOF
4970 + /* confdefs.h.  */
4971 + _ACEOF
4972 + cat confdefs.h >>conftest.$ac_ext
4973 + cat >>conftest.$ac_ext <<_ACEOF
4974 + /* end confdefs.h.  */
4975 + $ac_includes_default
4976 + #include <$ac_header>
4977 + _ACEOF
4978 + rm -f conftest.$ac_objext
4979 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4980 +  (eval $ac_compile) 2>conftest.er1
4981 +  ac_status=$?
4982 +  grep -v '^ *+' conftest.er1 >conftest.err
4983 +  rm -f conftest.er1
4984 +  cat conftest.err >&5
4985 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4986 +  (exit $ac_status); } &&
4987 +         { ac_try='test -z "$ac_c_werror_flag"
4988 +                         || test ! -s conftest.err'
4989 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4990 +  (eval $ac_try) 2>&5
4991 +  ac_status=$?
4992 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4993 +  (exit $ac_status); }; } &&
4994 +         { ac_try='test -s conftest.$ac_objext'
4995 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4996 +  (eval $ac_try) 2>&5
4997 +  ac_status=$?
4998 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4999 +  (exit $ac_status); }; }; then
5000 +  ac_header_compiler=yes
5001 + else
5002 +  echo "$as_me: failed program was:" >&5
5003 + sed 's/^/| /' conftest.$ac_ext >&5
5004 +
5005 + ac_header_compiler=no
5006 + fi
5007 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5008 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5009 + echo "${ECHO_T}$ac_header_compiler" >&6
5010 +
5011 + # Is the header present?
5012 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5013 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5014 + cat >conftest.$ac_ext <<_ACEOF
5015 + /* confdefs.h.  */
5016 + _ACEOF
5017 + cat confdefs.h >>conftest.$ac_ext
5018 + cat >>conftest.$ac_ext <<_ACEOF
5019 + /* end confdefs.h.  */
5020 + #include <$ac_header>
5021 + _ACEOF
5022 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5023 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5024 +  ac_status=$?
5025 +  grep -v '^ *+' conftest.er1 >conftest.err
5026 +  rm -f conftest.er1
5027 +  cat conftest.err >&5
5028 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5029 +  (exit $ac_status); } >/dev/null; then
5030 +  if test -s conftest.err; then
5031 +    ac_cpp_err=$ac_c_preproc_warn_flag
5032 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5033 +  else
5034 +    ac_cpp_err=
5035 +  fi
5036 + else
5037 +  ac_cpp_err=yes
5038 + fi
5039 + if test -z "$ac_cpp_err"; then
5040 +  ac_header_preproc=yes
5041 + else
5042 +  echo "$as_me: failed program was:" >&5
5043 + sed 's/^/| /' conftest.$ac_ext >&5
5044 +
5045 +  ac_header_preproc=no
5046 + fi
5047 + rm -f conftest.err conftest.$ac_ext
5048 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5049 + echo "${ECHO_T}$ac_header_preproc" >&6
5050 +
5051 + # So?  What about this header?
5052 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5053 +  yes:no: )
5054 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5055 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5056 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5057 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5058 +    ac_header_preproc=yes
5059 +    ;;
5060 +  no:yes:* )
5061 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5062 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5063 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5064 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5065 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5066 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5067 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5068 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5069 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5070 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5071 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5072 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5073 +    (
5074 +      cat <<\_ASBOX
5075 + ## ------------------------------ ##
5076 + ## Report this to gezelter@nd.edu ##
5077 + ## ------------------------------ ##
5078 + _ASBOX
5079 +    ) |
5080 +      sed "s/^/$as_me: WARNING:     /" >&2
5081 +    ;;
5082 + esac
5083 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5084 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5085 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5086 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5087 + else
5088 +  eval "$as_ac_Header=\$ac_header_preproc"
5089 + fi
5090 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5091 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5092 +
5093 + fi
5094 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
5095 +  cat >>confdefs.h <<_ACEOF
5096 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5097 + _ACEOF
5098 +
5099 + fi
5100 +
5101 + done
5102 +
5103 +
5104 +
5105 +
5106 +
5107 +
5108 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5109 + do
5110 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5111 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5112 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5113 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5114 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5115 + else
5116 +  cat >conftest.$ac_ext <<_ACEOF
5117 + /* confdefs.h.  */
5118 + _ACEOF
5119 + cat confdefs.h >>conftest.$ac_ext
5120 + cat >>conftest.$ac_ext <<_ACEOF
5121 + /* end confdefs.h.  */
5122 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5123 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5124 + #define $ac_func innocuous_$ac_func
5125 +
5126 + /* System header to define __stub macros and hopefully few prototypes,
5127 +    which can conflict with char $ac_func (); below.
5128 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5129 +    <limits.h> exists even on freestanding compilers.  */
5130 +
5131 + #ifdef __STDC__
5132 + # include <limits.h>
5133 + #else
5134 + # include <assert.h>
5135 + #endif
5136 +
5137 + #undef $ac_func
5138 +
5139 + /* Override any gcc2 internal prototype to avoid an error.  */
5140 + #ifdef __cplusplus
5141 + extern "C"
5142 + {
5143 + #endif
5144 + /* We use char because int might match the return type of a gcc2
5145 +   builtin and then its argument prototype would still apply.  */
5146 + char $ac_func ();
5147 + /* The GNU C library defines this for functions which it implements
5148 +    to always fail with ENOSYS.  Some functions are actually named
5149 +    something starting with __ and the normal name is an alias.  */
5150 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5151 + choke me
5152 + #else
5153 + char (*f) () = $ac_func;
5154 + #endif
5155 + #ifdef __cplusplus
5156 + }
5157 + #endif
5158 +
5159 + int
5160 + main ()
5161 + {
5162 + return f != $ac_func;
5163 +  ;
5164 +  return 0;
5165 + }
5166 + _ACEOF
5167 + rm -f conftest.$ac_objext conftest$ac_exeext
5168 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5169 +  (eval $ac_link) 2>conftest.er1
5170 +  ac_status=$?
5171 +  grep -v '^ *+' conftest.er1 >conftest.err
5172 +  rm -f conftest.er1
5173 +  cat conftest.err >&5
5174 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5175 +  (exit $ac_status); } &&
5176 +         { ac_try='test -z "$ac_c_werror_flag"
5177 +                         || test ! -s conftest.err'
5178 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5179 +  (eval $ac_try) 2>&5
5180 +  ac_status=$?
5181 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5182 +  (exit $ac_status); }; } &&
5183 +         { ac_try='test -s conftest$ac_exeext'
5184 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5185 +  (eval $ac_try) 2>&5
5186 +  ac_status=$?
5187 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5188 +  (exit $ac_status); }; }; then
5189 +  eval "$as_ac_var=yes"
5190 + else
5191 +  echo "$as_me: failed program was:" >&5
5192 + sed 's/^/| /' conftest.$ac_ext >&5
5193 +
5194 + eval "$as_ac_var=no"
5195 + fi
5196 + rm -f conftest.err conftest.$ac_objext \
5197 +      conftest$ac_exeext conftest.$ac_ext
5198 + fi
5199 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5200 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5201 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5202 +  cat >>confdefs.h <<_ACEOF
5203 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5204 + _ACEOF
5205 +
5206 + fi
5207 + done
5208 +
5209 + # special check for _system_configuration because AIX <4.3.2 do not
5210 + # contain the `physmem' member.
5211 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5212 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5213 + cat >conftest.$ac_ext <<_ACEOF
5214 + /* confdefs.h.  */
5215 + _ACEOF
5216 + cat confdefs.h >>conftest.$ac_ext
5217 + cat >>conftest.$ac_ext <<_ACEOF
5218 + /* end confdefs.h.  */
5219 + #include <sys/systemcfg.h>
5220 + int
5221 + main ()
5222 + {
5223 + double x = _system_configuration.physmem;
5224 +  ;
5225 +  return 0;
5226 + }
5227 + _ACEOF
5228 + rm -f conftest.$ac_objext
5229 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5230 +  (eval $ac_compile) 2>conftest.er1
5231 +  ac_status=$?
5232 +  grep -v '^ *+' conftest.er1 >conftest.err
5233 +  rm -f conftest.er1
5234 +  cat conftest.err >&5
5235 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5236 +  (exit $ac_status); } &&
5237 +         { ac_try='test -z "$ac_c_werror_flag"
5238 +                         || test ! -s conftest.err'
5239 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5240 +  (eval $ac_try) 2>&5
5241 +  ac_status=$?
5242 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5243 +  (exit $ac_status); }; } &&
5244 +         { ac_try='test -s conftest.$ac_objext'
5245 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5246 +  (eval $ac_try) 2>&5
5247 +  ac_status=$?
5248 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5249 +  (exit $ac_status); }; }; then
5250 +  echo "$as_me:$LINENO: result: yes" >&5
5251 + echo "${ECHO_T}yes" >&6
5252 +
5253 + cat >>confdefs.h <<\_ACEOF
5254 + #define HAVE__SYSTEM_CONFIGURATION 1
5255 + _ACEOF
5256 +
5257 + else
5258 +  echo "$as_me: failed program was:" >&5
5259 + sed 's/^/| /' conftest.$ac_ext >&5
5260 +
5261 + echo "$as_me:$LINENO: result: no" >&5
5262 + echo "${ECHO_T}no" >&6
5263 + fi
5264 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5265 +
5266    # clean out junk possibly left behind by a previous configuration
5267 <  rm -f src/utils/getopt.h
5267 >  rm -f src/getopt.h
5268    # Check for getopt_long support
5269  
5270   for ac_header in getopt.h
# Line 5286 | Line 5604 | esac
5604    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5605   esac
5606  
5607 <                ac_config_links="$ac_config_links src/utils/getopt.h:src/utils/gnugetopt.h"
5607 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5608  
5609   fi
5610  
# Line 5831 | Line 6149 | if test "$ac_test_CXXFLAGS" != "set"; then
6149                  echo "*******************************************************"
6150          fi;;
6151     *darwin*)
6152 <        if test "$CXX" = xlc++; then
6152 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6153                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6154          fi;;
6155    esac
# Line 6934 | Line 7252 | fi
7252    exit 1
7253   fi
7254  
7255 + # Extract the first word of "ps", so it can be a program name with args.
7256 + set dummy ps; ac_word=$2
7257 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7258 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7259 + if test "${ac_cv_path_PS+set}" = set; then
7260 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7261 + else
7262 +  case $PS in
7263 +  [\\/]* | ?:[\\/]*)
7264 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7265 +  ;;
7266 +  *)
7267 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7268 + for as_dir in $PATH
7269 + do
7270 +  IFS=$as_save_IFS
7271 +  test -z "$as_dir" && as_dir=.
7272 +  for ac_exec_ext in '' $ac_executable_extensions; do
7273 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7274 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7275 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7276 +    break 2
7277 +  fi
7278 + done
7279 + done
7280  
7281 +  ;;
7282 + esac
7283 + fi
7284 + PS=$ac_cv_path_PS
7285  
7286 + if test -n "$PS"; then
7287 +  echo "$as_me:$LINENO: result: $PS" >&5
7288 + echo "${ECHO_T}$PS" >&6
7289 + else
7290 +  echo "$as_me:$LINENO: result: no" >&5
7291 + echo "${ECHO_T}no" >&6
7292 + fi
7293 +
7294 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7295 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7296 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7297 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7298 + else
7299 +
7300 +        if $PS ax -o rss > /dev/null 2>&1; then
7301 +                ac_cv_prog_ps_ax=yes
7302 +        else
7303 +                ac_cv_prog_ps_ax=no
7304 +        fi
7305 +        if $PS -ef -o rss > /dev/null 2>&1; then
7306 +                ac_cv_prog_ps_ef=yes
7307 +        else
7308 +                ac_cv_prog_ps_ef=no
7309 +        fi
7310 +        if test "$ac_cv_prog_ps_ax" = yes; then
7311 +                ac_cv_prog_ps_syntax=BSD
7312 +        else
7313 +                if test "$ac_cv_prog_ps_ef" = yes; then
7314 +                        ac_cv_prog_ps_syntax=POSIX
7315 +                else
7316 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7317 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7318 +   { (exit 1); exit 1; }; }
7319 +                fi
7320 +        fi
7321 +
7322 + fi
7323 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325 +
7326 +
7327 + cat >>confdefs.h <<_ACEOF
7328 + #define PSCOMMAND $PS
7329 + _ACEOF
7330 +
7331 +
7332 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 +  cat >>confdefs.h <<\_ACEOF
7334 + #define PSTYPE_IS_BSD 1
7335 + _ACEOF
7336 +
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342 +
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349 +
7350 +
7351   # Check whether --with-mpi or --without-mpi was given.
7352   if test "${with_mpi+set}" = set; then
7353    withval="$with_mpi"
# Line 7406 | Line 7818 | fi
7818  
7819  
7820  
7409 # Check whether --with-sprng or --without-sprng was given.
7410 if test "${with_sprng+set}" = set; then
7411  withval="$with_sprng"
7412  with_sprng=$withval
7413 else
7414  with_sprng="/usr/local"
7415 fi;
7821  
7417 case "x$with_sprng" in
7418        xyes | "x")  USE_SPRNG=yes;;
7419        xno) USE_SPRNG=no ;;
7420        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7421 esac
7422 if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7423        SPRNG="/usr/local"
7424 fi
7425 if test "$USE_SPRNG" = "yes"; then
7822  
7427
7428 # Set variables...
7429 SPRNG_LIB_DIR="$SPRNG/lib"
7430 SPRNG_INC_DIR="$SPRNG/include"
7431
7432
7433
7434 echo "$as_me:$LINENO: checking for sprng.h" >&5
7435 echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7436 have_sprng_h=0
7437 echo '#include <sprng.h>' > conftest.cc
7438 if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7439        echo "$as_me:$LINENO: result: yes" >&5
7440 echo "${ECHO_T}yes" >&6
7441        have_sprng_h=1
7442 else
7443        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7444 echo "${ECHO_T}no! Check SPRNG include path!" >&6
7445        USE_SPRNG="no"
7446 fi
7447 rm -f conftest*
7448 if test "$have_sprng_h" = 1; then
7449
7450 cat >>confdefs.h <<\_ACEOF
7451 #define HAVE_SPRNG_H 1
7452 _ACEOF
7453
7454 fi
7455
7456 ac_ext=c
7457 ac_cpp='$CPP $CPPFLAGS'
7458 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7459 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7460 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7461
7462 ac_save_LDFLAGS=$LDFLAGS
7463 LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7464
7465 echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7466 echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7467 if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7468  echo $ECHO_N "(cached) $ECHO_C" >&6
7469 else
7470  ac_check_lib_save_LIBS=$LIBS
7471 LIBS="-lsprng  $LIBS"
7472 cat >conftest.$ac_ext <<_ACEOF
7473 /* confdefs.h.  */
7474 _ACEOF
7475 cat confdefs.h >>conftest.$ac_ext
7476 cat >>conftest.$ac_ext <<_ACEOF
7477 /* end confdefs.h.  */
7478
7479 /* Override any gcc2 internal prototype to avoid an error.  */
7480 #ifdef __cplusplus
7481 extern "C"
7482 #endif
7483 /* We use char because int might match the return type of a gcc2
7484   builtin and then its argument prototype would still apply.  */
7485 char init_rng ();
7486 int
7487 main ()
7488 {
7489 init_rng ();
7490  ;
7491  return 0;
7492 }
7493 _ACEOF
7494 rm -f conftest.$ac_objext conftest$ac_exeext
7495 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7496  (eval $ac_link) 2>conftest.er1
7497  ac_status=$?
7498  grep -v '^ *+' conftest.er1 >conftest.err
7499  rm -f conftest.er1
7500  cat conftest.err >&5
7501  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7502  (exit $ac_status); } &&
7503         { ac_try='test -z "$ac_c_werror_flag"
7504                         || test ! -s conftest.err'
7505  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7506  (eval $ac_try) 2>&5
7507  ac_status=$?
7508  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7509  (exit $ac_status); }; } &&
7510         { ac_try='test -s conftest$ac_exeext'
7511  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7512  (eval $ac_try) 2>&5
7513  ac_status=$?
7514  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7515  (exit $ac_status); }; }; then
7516  ac_cv_lib_sprng_init_rng=yes
7517 else
7518  echo "$as_me: failed program was:" >&5
7519 sed 's/^/| /' conftest.$ac_ext >&5
7520
7521 ac_cv_lib_sprng_init_rng=no
7522 fi
7523 rm -f conftest.err conftest.$ac_objext \
7524      conftest$ac_exeext conftest.$ac_ext
7525 LIBS=$ac_check_lib_save_LIBS
7526 fi
7527 echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7528 echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7529 if test $ac_cv_lib_sprng_init_rng = yes; then
7530  SPRNG_LIB="-lsprng"
7531 else
7532
7533             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7534 echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7535   { (exit 1); exit 1; }; }
7536             USE_SPRNG="no"
7537
7538 fi
7539
7540
7541 if test "$USE_SPRNG" = "no"; then
7542  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7543 echo "$as_me: error: No working SPRNG library found" >&2;}
7544   { (exit 1); exit 1; }; }
7545 fi
7546
7547
7548 fi
7549
7550
7551
7552 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7553 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7554
7555 # Check whether --with-mkl or --without-mkl was given.
7556 if test "${with_mkl+set}" = set; then
7557  withval="$with_mkl"
7558     echo "$as_me:$LINENO: result: yes" >&5
7559 echo "${ECHO_T}yes" >&6
7560    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7561        mkldir="$dir"
7562        if test -f "$dir/include/mkl.h"; then
7563            found_mkl="yes";
7564            break;
7565        fi
7566    done
7567    if test x_$found_mkl != x_yes; then
7568        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7569 echo "$as_me: error: Cannot find MKL includes" >&2;}
7570   { (exit 1); exit 1; }; }
7571    else
7572        printf "MKL includes found in $mkldir/include\n";
7573    fi
7574
7575
7576
7577  ac_ext=c
7578 ac_cpp='$CPP $CPPFLAGS'
7579 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7580 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7581 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7582
7583  ac_save_CPPFLAGS=$CPPFLAGS
7584  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7585  ac_save_LDFLAGS=$LDFLAGS
7586  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7587  if test "${ac_cv_header_mkl_h+set}" = set; then
7588  echo "$as_me:$LINENO: checking for mkl.h" >&5
7589 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7590 if test "${ac_cv_header_mkl_h+set}" = set; then
7591  echo $ECHO_N "(cached) $ECHO_C" >&6
7592 fi
7593 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7594 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7595 else
7596  # Is the header compilable?
7597 echo "$as_me:$LINENO: checking mkl.h usability" >&5
7598 echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
7599 cat >conftest.$ac_ext <<_ACEOF
7600 /* confdefs.h.  */
7601 _ACEOF
7602 cat confdefs.h >>conftest.$ac_ext
7603 cat >>conftest.$ac_ext <<_ACEOF
7604 /* end confdefs.h.  */
7605 $ac_includes_default
7606 #include <mkl.h>
7607 _ACEOF
7608 rm -f conftest.$ac_objext
7609 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7610  (eval $ac_compile) 2>conftest.er1
7611  ac_status=$?
7612  grep -v '^ *+' conftest.er1 >conftest.err
7613  rm -f conftest.er1
7614  cat conftest.err >&5
7615  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7616  (exit $ac_status); } &&
7617         { ac_try='test -z "$ac_c_werror_flag"
7618                         || test ! -s conftest.err'
7619  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7620  (eval $ac_try) 2>&5
7621  ac_status=$?
7622  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7623  (exit $ac_status); }; } &&
7624         { ac_try='test -s conftest.$ac_objext'
7625  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7626  (eval $ac_try) 2>&5
7627  ac_status=$?
7628  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7629  (exit $ac_status); }; }; then
7630  ac_header_compiler=yes
7631 else
7632  echo "$as_me: failed program was:" >&5
7633 sed 's/^/| /' conftest.$ac_ext >&5
7634
7635 ac_header_compiler=no
7636 fi
7637 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7638 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7639 echo "${ECHO_T}$ac_header_compiler" >&6
7640
7641 # Is the header present?
7642 echo "$as_me:$LINENO: checking mkl.h presence" >&5
7643 echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
7644 cat >conftest.$ac_ext <<_ACEOF
7645 /* confdefs.h.  */
7646 _ACEOF
7647 cat confdefs.h >>conftest.$ac_ext
7648 cat >>conftest.$ac_ext <<_ACEOF
7649 /* end confdefs.h.  */
7650 #include <mkl.h>
7651 _ACEOF
7652 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7653  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7654  ac_status=$?
7655  grep -v '^ *+' conftest.er1 >conftest.err
7656  rm -f conftest.er1
7657  cat conftest.err >&5
7658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7659  (exit $ac_status); } >/dev/null; then
7660  if test -s conftest.err; then
7661    ac_cpp_err=$ac_c_preproc_warn_flag
7662    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7663  else
7664    ac_cpp_err=
7665  fi
7666 else
7667  ac_cpp_err=yes
7668 fi
7669 if test -z "$ac_cpp_err"; then
7670  ac_header_preproc=yes
7671 else
7672  echo "$as_me: failed program was:" >&5
7673 sed 's/^/| /' conftest.$ac_ext >&5
7674
7675  ac_header_preproc=no
7676 fi
7677 rm -f conftest.err conftest.$ac_ext
7678 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7679 echo "${ECHO_T}$ac_header_preproc" >&6
7680
7681 # So?  What about this header?
7682 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
7683  yes:no: )
7684    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
7685 echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
7686    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
7687 echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
7688    ac_header_preproc=yes
7689    ;;
7690  no:yes:* )
7691    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
7692 echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
7693    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
7694 echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
7695    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
7696 echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
7697    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
7698 echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
7699    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
7700 echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
7701    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
7702 echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
7703    (
7704      cat <<\_ASBOX
7705 ## ------------------------------ ##
7706 ## Report this to gezelter@nd.edu ##
7707 ## ------------------------------ ##
7708 _ASBOX
7709    ) |
7710      sed "s/^/$as_me: WARNING:     /" >&2
7711    ;;
7712 esac
7713 echo "$as_me:$LINENO: checking for mkl.h" >&5
7714 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7715 if test "${ac_cv_header_mkl_h+set}" = set; then
7716  echo $ECHO_N "(cached) $ECHO_C" >&6
7717 else
7718  ac_cv_header_mkl_h=$ac_header_preproc
7719 fi
7720 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7721 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7722
7723 fi
7724 if test $ac_cv_header_mkl_h = yes; then
7725
7726    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7727 echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7728 if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7729  echo $ECHO_N "(cached) $ECHO_C" >&6
7730 else
7731  ac_check_lib_save_LIBS=$LIBS
7732 LIBS="-lmkl  $LIBS"
7733 cat >conftest.$ac_ext <<_ACEOF
7734 /* confdefs.h.  */
7735 _ACEOF
7736 cat confdefs.h >>conftest.$ac_ext
7737 cat >>conftest.$ac_ext <<_ACEOF
7738 /* end confdefs.h.  */
7739
7740 /* Override any gcc2 internal prototype to avoid an error.  */
7741 #ifdef __cplusplus
7742 extern "C"
7743 #endif
7744 /* We use char because int might match the return type of a gcc2
7745   builtin and then its argument prototype would still apply.  */
7746 char vslNewStream ();
7747 int
7748 main ()
7749 {
7750 vslNewStream ();
7751  ;
7752  return 0;
7753 }
7754 _ACEOF
7755 rm -f conftest.$ac_objext conftest$ac_exeext
7756 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7757  (eval $ac_link) 2>conftest.er1
7758  ac_status=$?
7759  grep -v '^ *+' conftest.er1 >conftest.err
7760  rm -f conftest.er1
7761  cat conftest.err >&5
7762  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7763  (exit $ac_status); } &&
7764         { ac_try='test -z "$ac_c_werror_flag"
7765                         || test ! -s conftest.err'
7766  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7767  (eval $ac_try) 2>&5
7768  ac_status=$?
7769  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7770  (exit $ac_status); }; } &&
7771         { ac_try='test -s conftest$ac_exeext'
7772  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7773  (eval $ac_try) 2>&5
7774  ac_status=$?
7775  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7776  (exit $ac_status); }; }; then
7777  ac_cv_lib_mkl_vslNewStream=yes
7778 else
7779  echo "$as_me: failed program was:" >&5
7780 sed 's/^/| /' conftest.$ac_ext >&5
7781
7782 ac_cv_lib_mkl_vslNewStream=no
7783 fi
7784 rm -f conftest.err conftest.$ac_objext \
7785      conftest$ac_exeext conftest.$ac_ext
7786 LIBS=$ac_check_lib_save_LIBS
7787 fi
7788 echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
7789 echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7790 if test $ac_cv_lib_mkl_vslNewStream = yes; then
7791  MKL_LIBDIR="${mkldir}/lib/32",
7792                     MKL_LIB="-lmkl -lvml -lguide",
7793                     HAVE_MKL="yes"
7794 fi
7795
7796
7797 else
7798  MKL_INC="-I${mkldir}/include"
7799 fi
7800
7801
7802  CPPFLAGS=$ac_save_CPPFLAGS
7803  LDFLAGS=$ac_save_LDFLAGS
7804  ac_ext=c
7805 ac_cpp='$CPP $CPPFLAGS'
7806 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7807 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7808 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7809
7810
7811  if test x_$HAVE_MKL != x_yes; then
7812        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
7813 echo "$as_me: error: Can't build with MKL" >&2;}
7814   { (exit 1); exit 1; }; }
7815  fi
7816
7817
7818
7819
7820
7821 else
7822
7823    echo "$as_me:$LINENO: result: no" >&5
7824 echo "${ECHO_T}no" >&6
7825
7826 fi;
7827
7828
7829
7823   # Check whether --enable-doxygen or --disable-doxygen was given.
7824   if test "${enable_doxygen+set}" = set; then
7825    enableval="$enable_doxygen"
# Line 8027 | Line 8020 | esac
8020  
8021            ac_config_headers="$ac_config_headers src/config.h"
8022  
8023 <          ac_config_files="$ac_config_files make/Makefile"
8023 >                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8024  
8025  
8026   cat >confcache <<\_ACEOF
# Line 8559 | Line 8552 | do
8552    case "$ac_config_target" in
8553    # Handling of arguments.
8554    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
8555 <  "src/utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/utils/getopt.h:src/utils/gnugetopt.h" ;;
8555 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
8556 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
8557    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
8558    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8559   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8696 | Line 8690 | s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8690   s,@LEXLIB@,$LEXLIB,;t t
8691   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
8692   s,@AR@,$AR,;t t
8693 + s,@PS@,$PS,;t t
8694   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8695   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
8696   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
8705 s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
8706 s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
8707 s,@SPRNG_LIB@,$SPRNG_LIB,;t t
8708 s,@USE_SPRNG@,$USE_SPRNG,;t t
8709 s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
8710 s,@MKL_LIB@,$MKL_LIB,;t t
8711 s,@MKL_INC@,$MKL_INC,;t t
8712 s,@HAVE_MKL@,$HAVE_MKL,;t t
8700   s,@DOXYGEN@,$DOXYGEN,;t t
8701   s,@DOT@,$DOT,;t t
8702   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines